Package org.eclipse.emf.cdo.security

## Interface PackageFilter

- All Superinterfaces:
    `CDOObject`, `CDOWithID`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`, `PermissionFilter`
  All Known Implementing Classes:
    `PackageFilterImpl`

      public interface PackageFilter
      extends PermissionFilter

  A representation of the model object 'Package Filter'.
  Since:
    4.3

    The following features are supported:

    - `Applicable Package`
  See Also:
    `SecurityPackage.getPackageFilter()`
  Generated
  Model

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.eclipse.emf.ecore.EPackage` | `getApplicablePackage()` | Returns the value of the 'Applicable Package' reference.
    `void` | `setApplicablePackage​(org.eclipse.emf.ecore.EPackage value)` | Sets the value of the '`Applicable Package`' reference.

    - ### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

      `cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.cdo.security.PermissionFilter

      `format, isApplicable, isImpacted`

- - ### Method Detail

    - #### getApplicablePackage

          org.eclipse.emf.ecore.EPackage getApplicablePackage()

      Returns the value of the 'Applicable Package' reference.

      If the meaning of the 'Applicable Package' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Applicable Package' reference.
      See Also:
        `setApplicablePackage(EPackage)`, `SecurityPackage.getPackageFilter_ApplicablePackage()`
      Generated
      Model
        required="true"

    - #### setApplicablePackage

          void setApplicablePackage​(org.eclipse.emf.ecore.EPackage value)

      Sets the value of the '`Applicable Package`' reference.
      Parameters:
        `value` - the new value of the 'Applicable Package' reference.
      See Also:
        `getApplicablePackage()`
      Generated